org.apache.jmeter.visualizers

## Class SearchableTreeNode

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - org.apache.jmeter.visualizers.SearchableTreeNode

All Implemented Interfaces:
  Serializable, Cloneable, MutableTreeNode, TreeNode

    public class SearchableTreeNode
    extends DefaultMutableTreeNode

TreeNode that holds flags for:

- nodeHasMatched : It matches a search
- childrenNodesHaveMatched : One of its children matches a search

Since:
  3.0
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

### Constructor Summary

Constructors
Constructor and Description
`SearchableTreeNode()`
`SearchableTreeNode(AssertionResult userObj, DefaultTreeModel treeModel)`
`SearchableTreeNode(SampleResult userObj, DefaultTreeModel treeModel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isChildrenNodesHaveMatched()`
`boolean` `isNodeHasMatched()`
`void` `reset()`
`void` `setChildrenNodesHaveMatched(boolean childrenNodesHaveMatched)`
`void` `setNodeHasMatched(boolean nodeHasMatched)`
`void` `updateState()`

### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SearchableTreeNode

    public SearchableTreeNode()

#### SearchableTreeNode

    public SearchableTreeNode(SampleResult userObj,
                              DefaultTreeModel treeModel)

#### SearchableTreeNode

    public SearchableTreeNode(AssertionResult userObj,
                              DefaultTreeModel treeModel)

### Method Detail

#### reset

    public void reset()

#### updateState

    public void updateState()

#### isNodeHasMatched

    public boolean isNodeHasMatched()

Returns:
  the nodeHasMatched

#### setNodeHasMatched

    public void setNodeHasMatched(boolean nodeHasMatched)

Parameters:
  `nodeHasMatched` - the nodeHasMatched to set

#### isChildrenNodesHaveMatched

    public boolean isChildrenNodesHaveMatched()

Returns:
  the childrenNodesHaveMatched

#### setChildrenNodesHaveMatched

    public void setChildrenNodesHaveMatched(boolean childrenNodesHaveMatched)

Parameters:
  `childrenNodesHaveMatched` - the childrenNodesHaveMatched to set